#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform
INCLUDE = /home/cms/fusr/libsubformHTML

CC	= gcc

# for Debug

CFLAGS	= -O2 -g

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

takuhai_gyosya : takuhai_gyosya.pgc
	ecpg takuhai_gyosya.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c takuhai_gyosya.c
	gcc -O2 -static -o takuhai_gyosya.cgi takuhai_gyosya.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

takuhai_gyosya_Menu : takuhai_gyosya_Menu.pgc
	ecpg takuhai_gyosya_Menu.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c takuhai_gyosya_Menu.c
	gcc -O2 -static -o takuhai_gyosya_Menu.cgi takuhai_gyosya_Menu.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun : meishokubun.pgc
	ecpg meishokubun.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun.c
	gcc -O2 -static -o meishokubun.cgi meishokubun.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun_Menu : meishokubun_Menu.pgc
	ecpg meishokubun_Menu.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun_Menu.c
	gcc -O2 -static -o meishokubun_Menu.cgi meishokubun_Menu.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade : grade.pgc
	ecpg grade.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade.c
	gcc -O2 -static -o grade.cgi grade.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Menu : grade_Menu.pgc
	ecpg grade_Menu.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Menu.c
	gcc -O2 -static -o grade_Menu.cgi grade_Menu.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Fetch : grade_Fetch.pgc
	ecpg grade_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Fetch.c
	gcc -O2 -static -o grade_Fetch.cgi grade_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Insert: grade_Insert.pgc
	ecpg grade_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Insert.c
	gcc -O2 -static -o grade_Insert.cgi grade_Insert.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Update : grade_Update.pgc
	ecpg grade_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Update.c
	gcc -O2 -static -o grade_Update.cgi grade_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Delete : grade_Delete.pgc
	ecpg grade_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Delete.c
	gcc -O2 -static -o grade_Delete.cgi grade_Delete.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

otodoke : otodoke.pgc
	ecpg otodoke.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke.c
	gcc -O2 -static -o otodoke.fcgi otodoke.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Fetch : otodoke_Fetch.pgc
	ecpg otodoke_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Fetch.c
	gcc -O2 -static -o otodoke_Fetch.fcgi otodoke_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Fetch_all : otodoke_Fetch_all.pgc
	ecpg otodoke_Fetch_all.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Fetch_all.c
	gcc -O2 -static -o otodoke_Fetch_all.fcgi otodoke_Fetch_all.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Fetch_New : otodoke_Fetch_New.pgc
	ecpg otodoke_Fetch_New.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Fetch_New.c
	gcc -O2 -static -o otodoke_Fetch_New.fcgi otodoke_Fetch_New.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Fetch2 : otodoke_Fetch2.pgc
	ecpg otodoke_Fetch2.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Fetch2.c
	gcc -O2 -static -o otodoke_Fetch2.fcgi otodoke_Fetch2.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Insert : otodoke_Insert.pgc
	ecpg otodoke_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Insert.c
	gcc -O2 -static -o otodoke_Insert.fcgi otodoke_Insert.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Update : otodoke_Update.pgc
	ecpg otodoke_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Update.c
	gcc -O2 -static -o otodoke_Update.fcgi otodoke_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Update2 : otodoke_Update2.pgc
	ecpg otodoke_Update2.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Update2.c
	gcc -O2 -static -o otodoke_Update2.fcgi otodoke_Update2.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Update2_Fine : otodoke_Update2_Fine.pgc
	ecpg otodoke_Update2_Fine.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Update2_Fine.c
	gcc -O2 -static -o otodoke_Update2_Fine.fcgi otodoke_Update2_Fine.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

otodoke_Update_hinmei : otodoke_Update_hinmei.pgc
	ecpg otodoke_Update_hinmei.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Update_hinmei.c
	gcc -O2 -static -o otodoke_Update_hinmei.cgi otodoke_Update_hinmei.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

otodoke_Update_grade : otodoke_Update_grade.pgc
	ecpg otodoke_Update_grade.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Update_grade.c
	gcc -O2 -static -o otodoke_Update_grade.cgi otodoke_Update_grade.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

otodoke_Delete : otodoke_Delete.pgc
	ecpg otodoke_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c otodoke_Delete.c
	gcc -O2 -static -o otodoke_Delete.fcgi otodoke_Delete.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku : kokyaku.pgc
	ecpg kokyaku.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku.c
	gcc -O2 -static -o kokyaku.fcgi kokyaku.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Fetch : kokyaku_Fetch.pgc
	ecpg kokyaku_Fetch.pgc
	gcc -ggdb -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_Fetch.c
	gcc -O2 -static -o kokyaku_Fetch.fcgi kokyaku_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Fetch_Fine : kokyaku_Fetch_Fine.pgc
	ecpg kokyaku_Fetch_Fine.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_Fetch_Fine.c
	gcc -O2 -static -o kokyaku_Fetch_Fine.fcgi kokyaku_Fetch_Fine.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Fetch_New : kokyaku_Fetch_New.pgc
	ecpg kokyaku_Fetch_New.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_Fetch_New.c
	gcc -O2 -static -o kokyaku_Fetch_New.fcgi kokyaku_Fetch_New.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Insert : kokyaku_Insert.pgc
	ecpg kokyaku_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -ggdb -c kokyaku_Insert.c
	gcc -O2 -static -o kokyaku_Insert.fcgi kokyaku_Insert.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Update : kokyaku_Update.pgc
	ecpg kokyaku_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_Update.c
	gcc -O2 -static -o kokyaku_Update.fcgi kokyaku_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

kokyaku_Delete : kokyaku_Delete.pgc
	ecpg kokyaku_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_Delete.c
	gcc -O2 -static -o kokyaku_Delete.fcgi kokyaku_Delete.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

yubin : yubin.pgc
	ecpg yubin.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin.c
	gcc -O2 -static -o yubin.fcgi yubin.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

yubin_Fetch : yubin_Fetch.pgc
	ecpg yubin_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Fetch.c
	gcc -O2 -static -o yubin_Fetch.fcgi yubin_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

yubin_Insert : yubin_Insert.pgc
	ecpg yubin_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Insert.c
	gcc -O2 -static -o yubin_Insert.cgi yubin_Insert.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Update : yubin_Update.pgc
	ecpg yubin_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Update.c
	gcc -O2 -static -o yubin_Update.cgi yubin_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_Delete : yubin_Delete.pgc
	ecpg yubin_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Delete.c
	gcc -O2 -static -o yubin_Delete.cgi yubin_Delete.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

yubin_all : yubin_all.pgc
	ecpg yubin_all.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_all.c
	gcc -O2 -static -o yubin_all.cgi yubin_all.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_zen : kokyaku_zen.pgc
	ecpg kokyaku_zen.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_zen.c
	gcc -O2 -static -o kokyaku_zen.cgi kokyaku_zen.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_abc : kokyaku_abc.pgc
	ecpg kokyaku_abc.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_abc.c
	gcc -O2 -static -o kokyaku_abc.cgi kokyaku_abc.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_a : kokyaku_a.pgc
	ecpg kokyaku_a.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_a.c
	gcc -O2 -static -o kokyaku_a.cgi kokyaku_a.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ka : kokyaku_ka.pgc
	ecpg kokyaku_ka.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ka.c
	gcc -O2 -static -o kokyaku_ka.cgi kokyaku_ka.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_sa : kokyaku_sa.pgc
	ecpg kokyaku_sa.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_sa.c
	gcc -O2 -static -o kokyaku_sa.cgi kokyaku_sa.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ta : kokyaku_ta.pgc
	ecpg kokyaku_ta.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ta.c
	gcc -O2 -static -o kokyaku_ta.cgi kokyaku_ta.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_na : kokyaku_na.pgc
	ecpg kokyaku_na.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_na.c
	gcc -O2 -static -o kokyaku_na.cgi kokyaku_na.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ha : kokyaku_ha.pgc
	ecpg kokyaku_ha.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ha.c
	gcc -O2 -static -o kokyaku_ha.cgi kokyaku_ha.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ma : kokyaku_ma.pgc
	ecpg kokyaku_ma.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ma.c
	gcc -O2 -static -o kokyaku_ma.cgi kokyaku_ma.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ya : kokyaku_ya.pgc
	ecpg kokyaku_ya.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ya.c
	gcc -O2 -static -o kokyaku_ya.cgi kokyaku_ya.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_ra : kokyaku_ra.pgc
	ecpg kokyaku_ra.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_ra.c
	gcc -O2 -static -o kokyaku_ra.cgi kokyaku_ra.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

kokyaku_wa : kokyaku_wa.pgc
	ecpg kokyaku_wa.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c kokyaku_wa.c
	gcc -O2 -static -o kokyaku_wa.cgi kokyaku_wa.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

